Name: libgalago-gtk
Version: 0.5.0
Release: alt1

%def_disable static

Summary: GTK+ widgets for the Galago presence framework
License: LGPL
Group: Graphical desktop/GNOME
URL: http://www.galago-project.org/

Packager: Vital Khilko <vk@altlinux.ru>

Source:	http://www.galago-project.org/files/releases/source/%name/%name-%version.tar.bz2

%define galago_version	0.5.0

Requires: libgalago >= %galago_version

# Automatically added by buildreq on Wed Jun 07 2006
BuildRequires: cvs fontconfig libdbus-glib-devel libgalago-devel libgtk+2-devel
BuildRequires: libgalago-devel >= %galago_version

%description
A collection of GTK+ widgets that work with the Galago
desktop presence framework.

%package devel
Summary: Development libraries and headers for libgalago-gtk
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
Libraries and header files for developing against libgalago-gtk.

%package devel-static
Summary: Static libgalago-gtk library
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Static libgalago-gtk library.

%prep
%setup -q

%build
autoreconf -isfv
glib-gettextize --copy --force
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/*galago-gtk*.so.*
%_datadir/pixmaps/galago

%files devel
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif

%changelog
* Tue Jun 06 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.0-alt1
- Updated to 0.5.0
- Disabled static build by default
- Own the whole pixmaps subdirectory
- Spec cleanup

* Wed Apr 19 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.4-alt1.1
- Rebuild with dbus-0.61-alt1 .

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.3.4-alt1
- initial build
